Subject: [bug#76503] [GCD] Migrating repositories, issues, and patches to Codeberg

From: Divya Ranjan <[email-masked]>
Date: Fri, 07 Mar 2025 18:33:32 +0000

Hello Suhail,

> "Thompson, David" <[email-masked]> writes:
>
>> The email-based workflow worked well enough in the early days, but
>> Guix outgrew it 5+ years ago.
>
> Do you also believe that the Linux kernel has outgrown the "email-based
> workflow"?  If not, what makes things different for Guix, in your
> opinion?
>

Despite me being in support of a workflow that doesn’t require opening a browser, while thinking about how Linux kernel does it and Guix, I had to realize that Linux gets a *lot* more in funding and infrastructure than Guix. Of course part of it is because of sheer technological necessity of handling a 30M LOC project that’s used by everyone. But it’s also because they *can* get it, through the help of Linux Foundation and so on.

I don’t think we have that many degrees of freedom here, so we need to be careful about our resources, and the work of volunteers and committers. I would be open to a consideration of using BugZilla or Gerrit for that matter, even though I’m not used to them, the possibility of working with them without a browser, motivates me to learn them.

Regards,
-- 
Divya Ranjan,
Philosophy, Mathematics, Libre Software.

PGP Fingerprint: F0B3 1A69 8006 8FB8 096A  2F12 B245 10C6 108C 8D4A